Subject: Re: [PATCH 02/26] KVM: PPC: Convert MSR to shared page

From: Avi Kivity <[email-masked]>
Date: Sun, 27 Jun 2010 11:16:43 +0300

On 06/26/2010 02:24 AM, Alexander Graf wrote:
> One of the most obvious registers to share with the guest directly is the
> MSR. The MSR contains the "interrupts enabled" flag which the guest has to
> toggle in critical sections.
>
> So in order to bring the overhead of interrupt en- and disabling down, let's
> put msr into the shared page. Keep in mind that even though you can fully read
> its contents, writing to it doesn't always update all state. There are a few
> safe fields that don't require hypervisor interaction. See the guest
> implementation that follows later for reference.
>    

You mean, see the documentation for reference.

It should be possible to write the guest code looking only at the 
documentation.

-- 
error compiling committee.c: too many arguments to function